#pragma once
#include <string>

#include "DllDefines.h"

class UTILITYDLL ApplicationConfig
{
public:
    static ApplicationConfig& Instance();
    bool IsProduction();
    bool IsBenchDebug();
    bool IsUnitTest();

private:
    ApplicationConfig(void);
    ~ApplicationConfig(void);
    static ApplicationConfig theInstance;
    std::string m_applicationName;
    bool m_bIsBenchDebug;
    bool m_bIsUnitTest;
};
